Index: party/src/main/java/geniusweb/party/Capabilities.java
===================================================================
--- party/src/main/java/geniusweb/party/Capabilities.java	(revision 9)
+++ party/src/main/java/geniusweb/party/Capabilities.java	(revision 10)
@@ -5,7 +5,4 @@
 import com.fasterxml.jackson.annotation.JsonAutoDetect;
 import com.fasterxml.jackson.annotation.JsonAutoDetect.Visibility;
-
-import geniusweb.references.ProtocolRef;
-
 import com.fasterxml.jackson.annotation.JsonCreator;
 import com.fasterxml.jackson.annotation.JsonProperty;
@@ -19,5 +16,5 @@
 	 * List of supported protocols
 	 */
-	private final Set<ProtocolRef> protocols;
+	private final Set<String> behaviours;
 
 	/**
@@ -26,13 +23,13 @@
 	 */
 	@JsonCreator
-	public Capabilities(@JsonProperty("protocols") Set<ProtocolRef> protocols) {
-		if (protocols == null) {
-			throw new IllegalArgumentException("protocols==null");
+	public Capabilities(@JsonProperty("behaviours") Set<String> behaviours) {
+		if (behaviours == null) {
+			throw new IllegalArgumentException("behaviours==null");
 		}
-		this.protocols = protocols;
+		this.behaviours = behaviours;
 	}
 
-	public Set<ProtocolRef> getProtocols() {
-		return protocols;
+	public Set<String> getBehaviours() {
+		return behaviours;
 	}
 
@@ -42,5 +39,5 @@
 		int result = 1;
 		result = prime * result
-				+ ((protocols == null) ? 0 : protocols.hashCode());
+				+ ((behaviours == null) ? 0 : behaviours.hashCode());
 		return result;
 	}
@@ -55,8 +52,8 @@
 			return false;
 		Capabilities other = (Capabilities) obj;
-		if (protocols == null) {
-			if (other.protocols != null)
+		if (behaviours == null) {
+			if (other.behaviours != null)
 				return false;
-		} else if (!protocols.equals(other.protocols))
+		} else if (!behaviours.equals(other.behaviours))
 			return false;
 		return true;
@@ -65,5 +62,5 @@
 	@Override
 	public String toString() {
-		return "Capabilities[" + "Protocols=" + protocols + "]";
+		return "Capabilities[" + "Behaviours=" + behaviours + "]";
 	}
 
Index: party/src/main/java/geniusweb/party/inform/Inform.java
===================================================================
--- party/src/main/java/geniusweb/party/inform/Inform.java	(revision 9)
+++ party/src/main/java/geniusweb/party/inform/Inform.java	(revision 10)
@@ -3,9 +3,8 @@
 import com.fasterxml.jackson.annotation.JsonAutoDetect;
 import com.fasterxml.jackson.annotation.JsonAutoDetect.Visibility;
+import com.fasterxml.jackson.annotation.JsonSubTypes;
+import com.fasterxml.jackson.annotation.JsonTypeInfo;
 
 import geniusweb.party.Party;
-
-import com.fasterxml.jackson.annotation.JsonSubTypes;
-import com.fasterxml.jackson.annotation.JsonTypeInfo;
 
 /**
Index: party/src/test/java/geniusweb/party/CapabilitiesTest.java
===================================================================
--- party/src/test/java/geniusweb/party/CapabilitiesTest.java	(revision 9)
+++ party/src/test/java/geniusweb/party/CapabilitiesTest.java	(revision 10)
@@ -4,5 +4,4 @@
 
 import java.io.IOException;
-import java.net.URI;
 import java.net.URISyntaxException;
 import java.util.Arrays;
@@ -18,6 +17,4 @@
 import com.fasterxml.jackson.databind.ObjectMapper;
 
-import geniusweb.party.Capabilities;
-import geniusweb.references.ProtocolRef;
 import tudelft.utilities.junit.GeneralTests;
 
@@ -26,16 +23,12 @@
 	private Capabilities capabilities1, capabilities1a, capabilities2,
 			capabilities3;
-	private String asJson = "{\"protocols\":[\"ws:localhost/protocol1\"]}";
+	private String asJson = "{\"behaviours\":[\"SAOP\"]}";
 
 	@Before
 	public void before() throws URISyntaxException {
-		capabilities1 = new Capabilities(Sets
-				.newSet(new ProtocolRef(new URI("ws:localhost/protocol1"))));
-		capabilities1a = new Capabilities(Sets
-				.newSet(new ProtocolRef(new URI("ws:localhost/protocol1"))));
-		capabilities2 = new Capabilities(Sets
-				.newSet(new ProtocolRef(new URI("ws:localhost/protocol2"))));
-		capabilities3 = new Capabilities(Sets
-				.newSet(new ProtocolRef(new URI("ws:localhost/protocol3"))));
+		capabilities1 = new Capabilities(Sets.newSet("SAOP"));
+		capabilities1a = new Capabilities(Sets.newSet("SAOP"));
+		capabilities2 = new Capabilities(Sets.newSet("SEB"));
+		capabilities3 = new Capabilities(Sets.newSet("SEB", "SAOP"));
 	}
 
@@ -48,8 +41,7 @@
 	@Override
 	public List<String> getGeneralTestStrings() {
-		return Arrays.asList(
-				"Capabilities.*Protocols=.*ProtocolRef.*protocol1.*",
-				"Capabilities.*Protocols=.*ProtocolRef.*protocol2.*",
-				"Capabilities.*Protocols=.*ProtocolRef.*protocol3.*");
+		return Arrays.asList("Capabilities.*Behaviours=.*SAOP.*",
+				"Capabilities.*Behaviours=.*SEB.*",
+				"Capabilities.*Behaviours=.*SEB.*SAOP.*");
 	}
 
